View Issue Details

IDProjectCategoryView StatusLast Update
0000352DCP-o-matic[All Projects] Bugspublic2016-05-31 22:55
ReportercarlAssigned Tocarl 
PriorityurgentSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000352: avcodec_decode_audio4 failed (-1094995529)
DescriptionSeen with various content, but I've not managed to get hold of any content that triggers it. Typically causes audio to be dropped so that A/V sync goes slowly off.
TagsNo tags attached.
Estimated work required

Activities

carl

2014-06-26 14:33

administrator   ~0000338

It's AVERROR_INVALIDDATA ('I', 'N', 'D', 'A')

carl

2014-10-24 18:28

administrator   ~0000401

Tried Windows 7 64-bit with Vertigo mkv (Blu-Ray rip) with 1.73.0 and no error.

carl

2014-10-31 13:46

administrator   ~0000405

Last edited: 2014-11-02 21:27

View 2 revisions

Ordered (hopefully) the exact version of Psycho that triggered the bug for the reporter.

carl

2014-11-02 21:32

administrator   ~0000407

Repeated with the "correct" version of Psycho. It goes along fine for a few minutes, with all aux_data_count values in dca_subframe_footer (libavcodec/dcadec.c) being 21 (which looks right). Then it gets one with an aux_data_count of 17. Apart from that the aux data seems identical. This causes a return of AVERROR_INVALIDDATA. I can't be sure whether it's an error in the source or a bug in FFmpeg.

First incident is on "What I do with my free afternoon?" at about 3:30.

carl

2014-11-02 23:10

administrator   ~0000408

Hopefully fixed by fc8fb8f.

carl

2014-11-18 10:26

administrator   ~0000427

Mark reports that sync is still out with this test film.

carl

2014-12-01 09:15

administrator   ~0000434

Also Brad with a copy of "A Million Ways To Die in the West".

carl

2014-12-09 18:00

administrator   ~0000438

We now skip DCA frame footers entirely in 5900c5dfce74f1046c43b351e3ebc3f90b5a4fbb, which appears to fix Psycho (have checked properly this time!)

carl

2015-05-06 08:33

administrator   ~0000585

Brad reports "A Million Ways To Die In the West" still fails with 5900c5dfce.

Issue History

Date Modified Username Field Change
2014-05-16 10:07 carl New Issue
2014-05-16 10:22 carl Assigned To => carl
2014-05-16 10:22 carl Status new => confirmed
2014-06-26 14:33 carl Note Added: 0000338
2014-09-01 22:17 carl Priority normal => high
2014-10-21 19:03 carl Priority high => urgent
2014-10-24 18:28 carl Note Added: 0000401
2014-10-31 13:46 carl Note Added: 0000405
2014-11-02 21:27 carl Note Edited: 0000405 View Revisions
2014-11-02 21:32 carl Note Added: 0000407
2014-11-02 23:10 carl Note Added: 0000408
2014-11-02 23:10 carl Status confirmed => resolved
2014-11-02 23:10 carl Resolution open => fixed
2014-11-18 10:26 carl Status resolved => confirmed
2014-11-18 10:26 carl Note Added: 0000427
2014-12-01 09:15 carl Note Added: 0000434
2014-12-09 18:00 carl Note Added: 0000438
2014-12-09 18:00 carl Status confirmed => resolved
2015-05-06 08:33 carl Note Added: 0000585
2016-05-31 22:55 carl Status resolved => closed